import { FinancialIndicator } from "./FinancialIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type, IList$1 } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { FinancialCalculationDataSource } from "./FinancialCalculationDataSource";
/**
 * @hidden
 */
export declare abstract class StrategyBasedIndicator extends FinancialIndicator {
    static $t: Type;
    constructor();
    protected sy(): void;
    protected sj: IndicatorCalculationStrategy;
    protected abstract readonly sk: IndicatorCalculationStrategy;
    protected abstract readonly sx: Type;
    static sn: List$1<string>;
    protected sq(): number;
    sz(a: number): void;
    protected ss(): number;
    protected sp(): number;
    static s3(a: number, b: Type, c: string): DependencyProperty;
    protected static s2(a: number, b: Type): DependencyProperty;
    protected static s0(a: number, b: Type): DependencyProperty;
    protected static s4(a: number, b: Type): DependencyProperty;
    protected rw(a: number, b: number): IList$1<string>;
    protected rt(a: number, b: number): boolean;
    protected sm(a: FinancialCalculationDataSource): boolean;
    private sl;
    protected sr(a: number): number;
    protected ot(a: number, b: number): FinancialCalculationDataSource;
    protected so(): number;
    protected static s1(a: number, b: Type): DependencyProperty;
    protected kp(a: any, b: string, c: any, d: any): void;
}
